Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.client
Class CodeDownloadException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.gwt.core.client.CodeDownloadException

All Implemented Interfaces:
  java.io.Serializable

    public final class CodeDownloadException

extends java.lang.RuntimeException

Exception indicating an interruption while downloading resources.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `CodeDownloadException.Reason` Reason codes for the interruption of code down load.

Constructor Summary
`CodeDownloadException(java.lang.String message)`
`CodeDownloadException(java.lang.String message, CodeDownloadException.Reason reason)`

Method Summary
`CodeDownloadException.Reason` | `getReason()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CodeDownloadException

    public CodeDownloadException(java.lang.String message)

### CodeDownloadException

    public CodeDownloadException(java.lang.String message,
                                 CodeDownloadException.Reason reason)

Method Detail

### getReason

    public CodeDownloadException.Reason getReason()

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD